﻿@model List<HistorialClinico.Web.Models.Paciente.HMNFormModel>

@Html.Partial("~/Views/Evolucion/_modalHMN.cshtml")

<div class="tabs-left">
    <ul class="nav nav-tabs tabs-left">
        <li>
            <a href="javascript:void('0')" onclick="NuevoHMN(0); return false;">
                <i class="glyphicon glyphicon-plus-sign"></i> Agregar
            </a>
        </li>
        @{
            var active = "active";
            foreach (var item in Model)
            {
                <li class="@active">
                    <a href="#tab-HMN-@item.Id" title="@item.UserName" data-toggle="tab"><i class="glyphicon glyphicon-minus"></i> <span class="hidden-mobile">@item.DateAdd.ToString("dd/MM/yyyy HH:mm")</span></a>
                </li>
                active = "";
            }
        }
    </ul>
    <div class="tab-content">
        @{
            active = "active";
            foreach (var item in Model)
            {
                <div class="tab-pane @active" id="tab-HMN-@item.Id" style="overflow: hidden">
                    <div class="row">
                        <div class="col-sm-6">
                            <fieldset>
                                <legend>Hidr. Metab. Nutricional</legend>
                                <div class="row">
                                    <div class="col-sm-12 table-responsive">
                                        <table class="table table-condensed table-bordered table-striped table-hover">
                                            <thead>
                                                <tr>
                                                    <th class="text-center">Nombre</th>
                                                    <th class="text-center">Valor/Formulación</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var gral in item.General)
                                                {
                                                    <tr>
                                                        <td>@gral.Nombre</td>
                                                        <td>
                                                            @if (string.IsNullOrWhiteSpace(gral.Formulacion))
                                                            {
                                                                <span>@string.Format("{0}", (gral.Valor ?? 0).ToString("N2"))</span>
                                                            }
                                                            else
                                                            {
                                                                <span>@gral.Formulacion</span>
                                                            }
                                                        </td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </fieldset>

                            <fieldset>
                                <legend>Balance Hídrico</legend>
                                <div class="row">
                                    <div class="col-sm-12 table-responsive">
                                        <table class="table table-condensed table-bordered table-striped table-hover">
                                            <thead>
                                                <tr>
                                                    <th class="text-center">Nombre</th>
                                                    <th class="text-center">Valor</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var balance in item.BalanceHidrico)
                                                {
                                                    <tr>
                                                        <td>@balance.Nombre</td>
                                                        <td><span>@string.Format("{0}", (balance.Valor ?? 0).ToString("N2"))</span></td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </fieldset>

                            <fieldset>
                                <legend>Diálisis peritoneal</legend>
                                <div class="row">
                                    <div class="col-sm-12">@string.Format("{0}", item.DialisisPeritoneal ? "SÍ" : "NO")</div>
                                </div>
                                @if (item.DialisisPeritoneal)
                                {
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <label><strong>Formulación: </strong></label>
                                            @item.FormulacionDialisisPeritoneal
                                        </div>
                                    </div>
                                }
                            </fieldset>

                            <fieldset>
                                <legend>Laboratorios</legend>
                                <div class="row">
                                    <div class="col-sm-12 table-responsive">
                                        <table class="table table-condensed table-bordered table-striped table-hover">
                                            <thead>
                                                <tr>
                                                    <th class="text-center">Nombre</th>
                                                    <th class="text-center">Valor</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var group in item.Laboratorio.GroupBy(c => c.Categoria))
                                                {
                                                    var cat = group.FirstOrDefault().Categoria;
                                                    <tr>
                                                        <th class="text-center" colspan="2">@cat</th>
                                                    </tr>

                                                    @foreach (var lab in group)
                                                    {
                                                        <tr>
                                                            <td>@lab.Nombre</td>
                                                            <td><span>@string.Format("{0}", (lab.Valor ?? 0).ToString("N2"))</span></td>
                                                        </tr>
                                                    }
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </fieldset>


                            <fieldset>
                                <legend>Eventos</legend>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <span>@item.Eventos</span>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>

                            <fieldset>
                                <legend>Planes</legend>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <span>@item.Planes</span>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>

                </div>
                active = "";
            }
        }
    </div>
</div>